#ifndef FILESYSTEM_H
#define FILESYSTEM_H

#include <QObject>
#include <QFile>
#include <QDir>
#include <QFileInfo>
#include <QCryptographicHash>

class FileSystem : public QObject
{
    Q_OBJECT
private:
    explicit FileSystem(QObject *parent = nullptr);

public:
    static bool fileExists(QString path);
    static QString fileHash(const QString &fileName, QCryptographicHash::Algorithm hashAlgorithm);
    static void clearFolder(QDir &dir);
    static QStringList recognizeRegistryLotroPath();
signals:

public slots:
};

#endif // FILESYSTEM_H
